Skip to main content
GET
/
organisations
/
{id}
/
credit_balance
Organisation Credit Balance
curl --request GET \
  --url https://api.sandbox.isometric.com/registry/v0/organisations/{id}/credit_balance \
  --header 'Authorization: Bearer <token>' \
  --header 'x-client-secret: <x-client-secret>'
import requests

url = "https://api.sandbox.isometric.com/registry/v0/organisations/{id}/credit_balance"

headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-client-secret': '<x-client-secret>', Authorization: 'Bearer <token>'}
};

fetch('https://api.sandbox.isometric.com/registry/v0/organisations/{id}/credit_balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "order_balances": [
    {
      "order_id": "ord_1FAN3S3WV1S0B842",
      "total": {
        "active_credits_total": {
          "credit_kgs": 123,
          "credits": 123
        },
        "retired_credits_total": {
          "credit_kgs": 123,
          "credits": 123
        }
      }
    }
  ],
  "project_balances": [
    {
      "project_id": "prj_1CTWZQGKE1S0VAXA",
      "total": {
        "active_credits_total": {
          "credit_kgs": 123,
          "credits": 123
        },
        "retired_credits_total": {
          "credit_kgs": 123,
          "credits": 123
        }
      }
    }
  ],
  "supplier_balances": [
    {
      "supplier_id": "spl_1CC712KFS1S0YKPS",
      "total": {
        "active_credits_total": {
          "credit_kgs": 123,
          "credits": 123
        },
        "retired_credits_total": {
          "credit_kgs": 123,
          "credits": 123
        }
      }
    }
  ],
  "total": {
    "active_credits_total": {
      "credit_kgs": 123,
      "credits": 123
    },
    "retired_credits_total": {
      "credit_kgs": 123,
      "credits": 123
    }
  }
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}

Authorizations

Authorization
string
header
required

A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>

Headers

x-client-secret
string
required

A secret token identifying the client connecting to the API

Example:

"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"

Path Parameters

id
string
required
Required string length: 20 - 37
Examples:

"org_1GB56M1ST1S0GVNA"

"org_1CP8EQDNQSBXTMR2"

Response

Successful Response

order_balances
OrderCreditBalance · object[]
required
project_balances
ProjectCreditBalance · object[]
required
supplier_balances
SupplierCreditBalance · object[]
required
total
CreditBalance · object
required